View Issue Details

IDProjectCategoryView StatusLast Update
0001113PartDesignBugpublic2013-09-09 14:22
Reporterproject4Assigned To 
PrioritynormalSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001113: Copy&Paste sometimes doesn't work properly
DescriptionCreated a model based on:
Sketch
Pad
Sketch on a face to draw a circle
Pocket to "drill a hole"
LinearPattern to make more holes

Created a new document

Selected all the entries from the first model, Ctrl+C, selected the second (empty) document, Ctrl+V

Some times the paste operation doesn't go well, sometimes it does.
Some times I see the entries in other order, for example Pocket after LinearPattern...
Sometimes the order is correct, but some of the internal data is most likely corrupt since I can't perform operations that I can do on original model, for example change the main sketch dimensions to change the model. It reports something like "over constrained" somthing, don't remember already.

Previously I've tried to copy and paste entry by entry to the new document and something went wrong as well, I don't remember the details already.
TagsNo tags attached.

Activities

project4

2013-04-27 16:00

reporter   ~0003116

Happened again, the popup text is:
Cannot set the datum because the sketch contains conflicting constraints

The task window have:
Over-constrained sketch, please remove one of the following constraints: ...

project4

2013-04-28 18:26

reporter   ~0003124

OS: Ubuntu 11.10
Platform: 64-bit
Version: 0.13.1830 (Git)
Branch: releases/FreeCAD-0-13
Hash: ec7636d7aaf2612e9b43cff5d6a424037d53e505
Python version: 2.7.2+
Qt version: 4.7.4
Coin version: 3.1.3
SoQt version: 1.5.0
OCC version: 6.5.0

wandererfan

2013-05-15 12:28

developer   ~0003160

Copy, Paste and Duplicate Selection were recently changed to address issues with linked objects. Are you able to retest with the PPA version?

normandc

2013-05-16 02:20

manager   ~0003162

To be more precise, wantererfan talks about the freecad-daily PPA, not the freecad-stable PPA. The daily PPA closely follows the development of FreeCAD.

And BTW Ubuntu 11.10 reached end-of-life last week, so the daily PPA will not get updates anymore.

wmayer

2013-09-09 14:22

administrator   ~0003564

The reported errors should be fixed for a few months already. There are still some problems when copy/pasting a sketch (see #0001223) but this appeared to be a problem of the solver.

Issue History

Date Modified Username Field Change
2013-04-27 15:57 project4 New Issue
2013-04-27 16:00 project4 Note Added: 0003116
2013-04-28 18:26 project4 Note Added: 0003124
2013-05-15 12:28 wandererfan Note Added: 0003160
2013-05-16 02:20 normandc Note Added: 0003162
2013-09-09 14:22 wmayer Note Added: 0003564
2013-09-09 14:22 wmayer Status new => closed
2013-09-09 14:22 wmayer Resolution open => fixed
2013-09-09 14:22 wmayer Fixed in Version => 0.14